<?php
// Datenbankverbindung herstellen
include_once 'config/config.php';

// Überprüfen, ob die ID des zu löschenden Artikels übergeben wurde
if(isset($_GET['id']) && !empty($_GET['id'])){
    // ID des zu löschenden Artikels aus der URL erhalten
    $article_id = $_GET['id'];

    // Verbindung zur Datenbank herstellen
    $conn = new mysqli($host, $username, $password, $database);
    if ($conn->connect_error) {
        die("Verbindung zur Datenbank fehlgeschlagen: " . $conn->connect_error);
    }

    // SQL-Abfrage vorbereiten, um den Artikel zu löschen
    $sql = "DELETE FROM materials WHERE id = $article_id";

    // Ausführen der SQL-Abfrage
    if ($conn->query($sql) === TRUE) {
        // Weiterleitung zur Artikelübersicht, nachdem der Artikel erfolgreich gelöscht wurde
        header("Location: article_overview.php");
        exit();
    } else {
        echo "Fehler beim Löschen des Artikels: " . $conn->error;
    }

    // Verbindung zur Datenbank schließen
    $conn->close();
} else {
    // Falls keine Artikel-ID übergeben wurde, Fehlermeldung ausgeben
    echo "Fehler: Artikel-ID nicht gefunden";
}
?>
